package org.wfc.omada.api.maintenance.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Site restore info list to restore. Up to 300 entries are allowed for the site restore info list.
 */
@ApiModel(description = "Site restore info list to restore. Up to 300 entries are allowed for the site restore info list.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:40:12.680+08:00[Asia/Shanghai]")

public class SelfSiteRestoreVo   {
  @JsonProperty("fileName")
  private String fileName;

  @JsonProperty("siteId")
  private String siteId;

  public SelfSiteRestoreVo fileName(String fileName) {
    this.fileName = fileName;
    return this;
  }

  /**
   * Site backup file name. Parameter [fileName] should be 1 - 128 ASCII characters.
   * @return fileName
  */
  @ApiModelProperty(required = true, value = "Site backup file name. Parameter [fileName] should be 1 - 128 ASCII characters.")
  @NotNull


  public String getFileName() {
    return fileName;
  }

  public void setFileName(String fileName) {
    this.fileName = fileName;
  }

  public SelfSiteRestoreVo siteId(String siteId) {
    this.siteId = siteId;
    return this;
  }

  /**
   * Site ID to restore
   * @return siteId
  */
  @ApiModelProperty(required = true, value = "Site ID to restore")
  @NotNull


  public String getSiteId() {
    return siteId;
  }

  public void setSiteId(String siteId) {
    this.siteId = siteId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SelfSiteRestoreVo selfSiteRestoreVo = (SelfSiteRestoreVo) o;
    return Objects.equals(this.fileName, selfSiteRestoreVo.fileName) &&
        Objects.equals(this.siteId, selfSiteRestoreVo.siteId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(fileName, siteId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SelfSiteRestoreVo {\n");
    
    sb.append("    fileName: ").append(toIndentedString(fileName)).append("\n");
    sb.append("    siteId: ").append(toIndentedString(siteId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

